#pragma once

#include "CoreMinimal.h"
#include "SurvivorCosmeticHelperActor.h"
#include "EContaminator.h"
#include "K24SurvivorCosmeticHelperActor.generated.h"

UCLASS(Blueprintable, Abstract)
class THEK24_API AK24SurvivorCosmeticHelperActor : public ASurvivorCosmeticHelperActor
{
	GENERATED_BODY()

protected:
	UFUNCTION(BlueprintCallable, BlueprintImplementableEvent, BlueprintCosmetic)
	void Cosmetic_OnHit_SFX(EContaminator contaminator);

	UFUNCTION(BlueprintCallable, BlueprintImplementableEvent, BlueprintCosmetic)
	void Cosmetic_OnContaminationCured();

	UFUNCTION(BlueprintCallable, BlueprintImplementableEvent, BlueprintCosmetic)
	void Cosmetic_OnContaminated();

public:
	AK24SurvivorCosmeticHelperActor();
};

FORCEINLINE uint32 GetTypeHash(const AK24SurvivorCosmeticHelperActor) { return 0; }
